Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ClientRequestInterceptor Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ClientRequestInterceptor:

[legend]
Collaboration diagram for PortableInterceptor::ClientRequestInterceptor:

[legend]
List of all members.

## Public Types
typedef ClientRequestInterceptor_ptr | _ptr_type
typedef ClientRequestInterceptor_var | _var_type
## Public Methods
virtual void | send_request (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void | send_poll (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | receive_reply (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | receive_exception (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void | receive_other (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
ClientRequestInterceptor_ptr | _duplicate (ClientRequestInterceptor_ptr obj)
ClientRequestInterceptor_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
ClientRequestInterceptor_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ClientRequestInterceptor_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| ClientRequestInterceptor (void)
virtual | ~ClientRequestInterceptor (void)
## Private Methods
| ClientRequestInterceptor (const ClientRequestInterceptor &)
void | operator= (const ClientRequestInterceptor &)

## Member Typedef Documentation

typedef ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_ptr_type

| Reimplemented from PortableInterceptor::Interceptor.

typedef ClientRequestInterceptor_var PortableInterceptor::ClientRequestInterceptor::_var_type

| Reimplemented from PortableInterceptor::Interceptor.

## Constructor & Destructor Documentation

PortableInterceptor::ClientRequestInterceptor::ClientRequestInterceptor | ( | void |  | ) | `[protected]`

PortableInterceptor::ClientRequestInterceptor::~ClientRequestInterceptor | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ClientRequestInterceptor::ClientRequestInterceptor | ( | const ClientRequestInterceptor & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_duplicate | ( | ClientRequestInterceptor_ptr | obj | ) | `[static]`

const char * PortableInterceptor::ClientRequestInterceptor::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from PortableInterceptor::Interceptor.

virtual CORBA::Boolean PortableInterceptor::ClientRequestInterceptor::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from PortableInterceptor::Interceptor.

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from PortableInterceptor::Interceptor.

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from PortableInterceptor::Interceptor.

void PortableInterceptor::ClientRequestInterceptor::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from PortableInterceptor::Interceptor.

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::Interceptor.

CORBA::Boolean PortableInterceptor::ClientRequestInterceptor::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from PortableInterceptor::Interceptor.

void PortableInterceptor::ClientRequestInterceptor::operator= | ( | const ClientRequestInterceptor & |  | ) | `[private]`

virtual void PortableInterceptor::ClientRequestInterceptor::receive_exception | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

virtual void PortableInterceptor::ClientRequestInterceptor::receive_other | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

virtual void PortableInterceptor::ClientRequestInterceptor::receive_reply | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual void PortableInterceptor::ClientRequestInterceptor::send_poll | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual void PortableInterceptor::ClientRequestInterceptor::send_request | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp